Bug 918801 - Review Request: schroedinger-cat-backgrounds - Schrödinger's Cat desktop backgrounds
Summary: Review Request: schroedinger-cat-backgrounds - Schrödinger's Cat desktop back...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 21:48 UTC by Martin Sourada
Modified: 2013-03-13 10:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-13 10:01:27 UTC
Type: ---
luya: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Martin Sourada 2013-03-06 21:48:21 UTC
Spec URL: http://mso.fedorapeople.org/packages/SPECS/schroedinger-cat-backgrounds.spec
SRPM URL: http://mso.fedorapeople.org/packages/SRPMS/schroedinger-cat-backgrounds-18.90.0-1.fc18.src.rpm
Description: This package contains desktop backgrounds for the Schrödinger's Cat theme.
Fedora Account System Username: mso

Note: dangling symlinks are ok. It's basically edited spec from previous releases. Two changes are rename of -single to -base as we no longer create dual screen wallpapers and adding of -animated, which is used by gnome/cinnamon/mate that support this feature. It also adds support for Mate via -mate subpackage.

Comment 1 Luya Tshimbalanga 2013-03-08 19:45:12 UTC
Here is the generated package review:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     schroedinger-cat-backgrounds-base , schroedinger-cat-backgrounds-animated
     , schroedinger-cat-backgrounds-kde , schroedinger-cat-backgrounds-gnome ,
     schroedinger-cat-backgrounds-mate , schroedinger-cat-backgrounds-xfce
[x] Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Could you fix the URL and spelling error (en)US) as displayed by rpmlint?

Rpmlint
-------
Checking: schroedinger-cat-backgrounds-18.90.0-1.fc19.noarch.rpm
          schroedinger-cat-backgrounds-base-18.90.0-1.fc19.noarch.rpm
          schroedinger-cat-backgrounds-animated-18.90.0-1.fc19.noarch.rpm
          schroedinger-cat-backgrounds-kde-18.90.0-1.fc19.noarch.rpm
          schroedinger-cat-backgrounds-gnome-18.90.0-1.fc19.noarch.rpm
          schroedinger-cat-backgrounds-mate-18.90.0-1.fc19.noarch.rpm
          schroedinger-cat-backgrounds-xfce-18.90.0-1.fc19.noarch.rpm
schroedinger-cat-backgrounds.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds.noarch: W: no-documentation
schroedinger-cat-backgrounds-base.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-animated.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-animated.noarch: W: no-documentation
schroedinger-cat-backgrounds-animated.noarch: W: dangling-relative-symlink /usr/share/backgrounds/schroedinger-cat/default-animated/wide/schroedinger-cat-03-night.jpg ../../default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-animated.noarch: W: dangling-relative-symlink /usr/share/backgrounds/schroedinger-cat/default-animated/normalish/schroedinger-cat-03-night.jpg ../../default/normalish/schroedinger-cat.jpg
schroedinger-cat-backgrounds-animated.noarch: W: dangling-relative-symlink /usr/share/backgrounds/schroedinger-cat/default-animated/standard/schroedinger-cat-03-night.jpg ../../default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds-kde.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-kde.noarch: W: no-documentation
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1440x900.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1280x960.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1600x1200.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1280x720.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1024x768.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1152x720.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1680x1050.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1200x900.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1366x768.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1440x1080.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/2048x1536.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1280x1024.jpg ../../../../backgrounds/schroedinger-cat/default/normalish/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1024x600.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1600x1280.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1920x1080.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1280x800.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1280x768.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/800x480.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1920x1440.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/640x480.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1920x1200.jpg ../../../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/800x600.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-kde.noarch: W: dangling-relative-symlink /usr/share/wallpapers/Schroedinger_Cat/contents/images/1152x864.jpg ../../../../backgrounds/schroedinger-cat/default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-gnome.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds-gnome.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-gnome.noarch: W: no-documentation
schroedinger-cat-backgrounds-mate.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds-mate.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-mate.noarch: W: no-documentation
schroedinger-cat-backgrounds-xfce.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds-xfce.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-xfce.noarch: W: no-documentation
schroedinger-cat-backgrounds-xfce.noarch: W: dangling-relative-symlink /usr/share/xfce4/backdrops/schroedinger-cat.jpg ../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
7 packages and 0 specfiles checked; 0 errors, 45 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint schroedinger-cat-backgrounds-xfce schroedinger-cat-backg 
rounds-animated schroedinger-cat-backgrounds-mate schroedinger-cat-backgrounds-b 
ase schroedinger-cat-backgrounds-kde schroedinger-cat-backgrounds schroedinger-c 
at-backgrounds-gnome
schroedinger-cat-backgrounds-xfce.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds-xfce.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-xfce.noarch: W: no-documentation
schroedinger-cat-backgrounds-xfce.noarch: W: dangling-relative-symlink /usr/share/xfce4/backdrops/schroedinger-cat.jpg ../../backgrounds/schroedinger-cat/default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-animated.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-animated.noarch: W: no-documentation
schroedinger-cat-backgrounds-animated.noarch: W: dangling-relative-symlink /usr/share/backgrounds/schroedinger-cat/default-animated/wide/schroedinger-cat-03-night.jpg ../../default/wide/schroedinger-cat.jpg
schroedinger-cat-backgrounds-animated.noarch: W: dangling-relative-symlink /usr/share/backgrounds/schroedinger-cat/default-animated/normalish/schroedinger-cat-03-night.jpg ../../default/normalish/schroedinger-cat.jpg
schroedinger-cat-backgrounds-animated.noarch: W: dangling-relative-symlink /usr/share/backgrounds/schroedinger-cat/default-animated/standard/schroedinger-cat-03-night.jpg ../../default/standard/schroedinger-cat.jpg
schroedinger-cat-backgrounds-mate.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds-mate.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-mate.noarch: W: no-documentation
schroedinger-cat-backgrounds-base.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-kde.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds-kde.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-kde.noarch: W: no-documentation
Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds.noarch: W: no-documentation
schroedinger-cat-backgrounds-gnome.noarch: W: spelling-error Summary(en_US) Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's
schroedinger-cat-backgrounds-gnome.noarch: W: invalid-url URL: https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
schroedinger-cat-backgrounds-gnome.noarch: W: no-documentation
7 packages and 0 specfiles checked; 0 errors, 45 warnings.
# echo 'rpmlint-done:'



Requires
--------
schroedinger-cat-backgrounds-xfce (rpmlib, GLIBC filtered):
    schroedinger-cat-backgrounds-base
    xfdesktop

schroedinger-cat-backgrounds-animated (rpmlib, GLIBC filtered):
    schroedinger-cat-backgrounds-base

schroedinger-cat-backgrounds-mate (rpmlib, GLIBC filtered):
    schroedinger-cat-backgrounds-animated

schroedinger-cat-backgrounds-base (rpmlib, GLIBC filtered):

schroedinger-cat-backgrounds-kde (rpmlib, GLIBC filtered):
    kde-filesystem
    schroedinger-cat-backgrounds-base

schroedinger-cat-backgrounds (rpmlib, GLIBC filtered):
    schroedinger-cat-backgrounds-gnome
    schroedinger-cat-backgrounds-kde
    schroedinger-cat-backgrounds-mate
    schroedinger-cat-backgrounds-xfce

schroedinger-cat-backgrounds-gnome (rpmlib, GLIBC filtered):
    schroedinger-cat-backgrounds-animated



Provides
--------
schroedinger-cat-backgrounds-xfce:
    schroedinger-cat-backgrounds-xfce

schroedinger-cat-backgrounds-animated:
    schroedinger-cat-backgrounds-animated

schroedinger-cat-backgrounds-mate:
    schroedinger-cat-backgrounds-mate

schroedinger-cat-backgrounds-base:
    schroedinger-cat-backgrounds-base

schroedinger-cat-backgrounds-kde:
    schroedinger-cat-backgrounds-kde

schroedinger-cat-backgrounds:
    schroedinger-cat-backgrounds

schroedinger-cat-backgrounds-gnome:
    schroedinger-cat-backgrounds-gnome



MD5-sum check
-------------
https://fedorahosted.org/released/design-team/schroedinger-cat-backgrounds-18.90.0.tar.xz :
  CHECKSUM(SHA256) this package     : 9bb7a0d2573357c5ae4370d15f801282ae26909dbdf2a00bb4152521e3b4ca9d
  CHECKSUM(SHA256) upstream package : 9bb7a0d2573357c5ae4370d15f801282ae26909dbdf2a00bb4152521e3b4ca9d

Comment 2 Martin Sourada 2013-03-08 21:37:57 UTC
(In reply to comment #1)
> Could you fix the URL and spelling error (en)US) as displayed by rpmlint?
> Schrödinger's -> Schrodinger's, Schlesinger's, Schwinger's

AFAIK, false positive. Fedora 19 official release name is Schrödinger's Cat, which is also the correct name (the physicist was called Schrödinger, Schrodinger and Schroedinger are simplifications to avoid having to type ö with the first one just dropping the accent, the second one being, IMHO, generally accepted transliteration).
http://fedoraproject.org/wiki/History_of_Fedora_release_names#Fedora_19_.28Schr.C3.B6dinger.27s_Cat.29

> schroedinger-cat-backgrounds.noarch: W: invalid-url URL:
> https://fedoraproject.org/wiki/F19_Artwork HTTP Error 404: Not Found
This was fixed between the time you run the test suite and posted the result.
https://fedoraproject.org/wiki/F19_Artwork

Thanks for taking up the review.

Comment 3 Luya Tshimbalanga 2013-03-08 22:18:37 UTC
No problem. No documentation part from rpmlint can be ignored because the packages are backgrounds set. Consider this review successfully passed.

Comment 4 Martin Sourada 2013-03-08 23:05:08 UTC
New Package SCM Request
=======================
Package Name: schroedinger-cat-backgrounds 
Short Description: Schrödinger's Cat desktop backgrounds
Owners: mso
Branches: 
InitialCC:

Comment 5 Gwyn Ciesla 2013-03-11 12:24:08 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.